Added directory to store Ubuntu specific files
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Sat, 28 Aug 2010 18:35:03 +0000 (18:35 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Sat, 28 Aug 2010 18:35:03 +0000 (18:35 +0000)
ubuntu/README [new file with mode: 0644]
ubuntu/ubuntu-cfg.sh [new file with mode: 0755]

diff --git a/ubuntu/README b/ubuntu/README
new file mode 100644 (file)
index 0000000..6827094
--- /dev/null
@@ -0,0 +1,2 @@
+-This directory contains scripts used to configure Ubuntu. It isn't
+related to hvlinux.
diff --git a/ubuntu/ubuntu-cfg.sh b/ubuntu/ubuntu-cfg.sh
new file mode 100755 (executable)
index 0000000..bd1c9d3
--- /dev/null
@@ -0,0 +1,129 @@
+#!/bin/sh
+set -o errexit
+
+# Liste des items:
+# 1. Installer "Broadcom STA wireless driver" (HP Mini 1115)
+# 2. Désactiver touch CAPS LOCK
+
+GST=gstreamer0.10
+
+APT="sudo apt-get --yes"
+AGI="${APT} install"
+
+if [ "`id -u`" -eq 0 ]; then
+    echo "You must NOT be the super-user to execute this script"
+    exit 1
+fi
+
+${APT} update
+
+# Configuration SSH
+if [ ! -f ${HOME}/.ssh/id_dsa.pub ]; then
+    ssh-keygen -t dsa
+    # Append the contents of your public key (~/.ssh/id_dsa.pub) to the
+    # ~/.ssh/authorized_keys file on the remote server
+fi
+
+# Désactivation du son à l'écran de login
+sudo -u gdm gconftool-2 --set /desktop/gnome/sound/event_sounds --type bool false
+
+# Ramener les boutons à droite dans les fenêtres Gtk+:
+gconftool-2 --set /apps/metacity/general/button_layout --type string menu:minimize,maximize,close
+
+# Configuration de Nautilus - pas de preview pour ne pas ralentir
+gconftool-2 --set /apps/nautilus/preferences/preview_sound --type string never
+gconftool-2 --set /apps/nautilus/preferences/show_directory_item_counts --type string never
+gconftool-2 --set /apps/nautilus/preferences/show_icon_text --type string never
+gconftool-2 --set /apps/nautilus/preferences/show_image_thumbnails --type string never
+
+# Démarrage de Rhythmbox non minimisé
+gconftool-2 --set /apps/rhythmbox/plugins/status-icon/window-visible --type boolean true
+
+# On enlève les packages superflus
+
+# Purge Mono from my system!
+if dpkg --list | grep "libmono" 1> /dev/null 2>&1; then
+    ${APT} purge libmono* libgdiplus cli-common libglitz-glx1 libglitz1
+fi
+
+if dpkg --list | grep pulseaudio 1> /dev/null 2>&1; then
+    ${APT} remove --purge pulseaudio*
+fi
+
+if dpkg --list | grep bluez-gstreamer 1> /dev/null 2>&1; then
+    ${APT} remove --purge bluetooth bluez bluez-gstreamer bluez-alsa bluez-cups
+fi
+
+${APT} upgrade
+${APT} dist-upgrade
+${APT} autoremove
+
+# localepurge is a simple script to recover diskspace wasted for unneeded locale files and localized man pages.
+# It will automagically be invoked upon completion of any apt installation run.
+${AGI} localepurge
+
+${AGI} emacs23
+# Correction bug avec emacs:
+#   murrine_style_draw_box: assertion `height >= -1' failed
+for subdir in Radiance Ambiance; do
+    sudo sed -i -e "s!\(GtkRange::trough-under-steppers =\) 0!\1 1!" /usr/share/themes/${subdir}/gtk-2.0/gtkrc
+done
+
+# Development
+${AGI} build-essential texinfo gettext gawk bison flex
+${AGI} autoconf autoconf-doc autotools-dev libtool
+${AGI} manpages manpages-dev manpages-posix manpages-posix-dev
+
+# dockapp development
+${AGI} libX11-dev libxpm-dev libxext-dev 
+${AGI} libgtk2.0-dev libglib2.0-dev
+
+# Vibro-Meter development
+#${AGI} libncurses5-dev zlib1g-dev
+# Pour opkg
+#${AGI} libcurl4-gnutls-dev libgpgme11-dev
+#${AGI} uncrustify
+#sudo cpan XML::Parser
+
+${AGI} subversion
+
+# Servers
+${AGI} nfs-common
+#${AGI} ssh
+
+${AGI} abiword gnumeric gnumeric-plugins-extra
+${AGI} texlive texlive-latex-recommended texlive-latex-extra texlive-humanities
+
+# Multimedia
+${AGI} libdvdread4
+sudo /usr/share/doc/libdvdread4/install-css.sh
+${AGI} ${GST}-ffmpeg ${GST}-plugins-bad ${GST}-plugins-ugly
+sudo add-apt-repository "deb http://www.getgnash.org/debs/ubuntu lucid main"
+${AGI} mozilla-plugin-gnash ${GST}-fluendo-mp3
+${AGI} vlc vlc-plugin-jack mozilla-plugin-vlc
+${AGI} sound-juicer
+
+# Musique
+${AGI} vorbis-tools
+${AGI} timidity fluid-soundfont-gm fluid-soundfont-gs
+${AGI} vkeybd
+${AGI} audacity libmp3lame0 tap-plugins
+${AGI} lilypond
+${AGI} rosegarden
+
+${AGI} sylpheed
+gconftool -s /desktop/gnome/url-handlers/mailto/command -t string "sylpheed --compose %s"
+
+# Desktop only
+#${AGI} wmaker
+#${AGI} pcmanfm
+
+${AGI} epdfview
+${AGI} psutils
+${AGI} gimp
+
+if lspci  | grep "nVidia" 1> /dev/null 2>&1; then
+    ${AGI} nvidia-settings nvidia-current
+fi
+
+exit $?